---
name: Typography
menu: Product
---

import { useTheme } from "@material-ui/core/styles";
import {
  CssBaseline,
  Table,
  TableBody,
  TableCell,
  TableContainer,
  TableHead,
  TableRow,
} from "@material-ui/core";
import theme from "../theme/defaultTheme.ts";
import Paper from "./Paper";

# Typography

The GAIA-X font family is the corporate sans-serif typeface "FF DIN OT" designed by Albert-Jan Pool.
As Albert-Jan Pool is a dutch type designer, his font family fits in the GAIA-X european context.
The FF DIN OT is based on DIN-Mittelschrift and DIN-Engschrift, as defined in the German standard DIN 1451.
With its unadorned appearance and its height x-height, it guarantees hight legibility on every device.

## Best practices

- The base font size is 14px.
- The base line height is 23.8px. The line height is 1.7 times larger than the font size in pixel.

### Font Weights

<Paper>
  <TableContainer>
    <Table aria-label="Font weights table">
      <TableHead>
        <TableRow>
          <TableCell>Preview</TableCell>
          <TableCell>Font Family</TableCell>
          <TableCell align="right">Font Weight</TableCell>
          <TableCell>Key</TableCell>
        </TableRow>
      </TableHead>
      <TableBody>
        <TableRow>
          <TableCell style={{ fontWeight: theme.typography.fontWeightRegular }}>
            The quick brown fox jumps over the lazy dog
          </TableCell>
          <TableCell>DIN OT, sans-serif</TableCell>
          <TableCell align="right">400</TableCell>
          <TableCell>theme.typography.fontWeightRegular</TableCell>
        </TableRow>
        <TableRow>
          <TableCell style={{ fontWeight: theme.typography.fontWeightMedium }}>
            The quick brown fox jumps over the lazy dog
          </TableCell>
          <TableCell>DIN OT, sans-serif</TableCell>
          <TableCell align="right">500</TableCell>
          <TableCell>theme.typography.fontWeightMedium</TableCell>
        </TableRow>
        <TableRow>
          <TableCell style={{ fontWeight: theme.typography.fontWeightBold }}>
            The quick brown fox jumps over the lazy dog
          </TableCell>
          <TableCell>DIN OT, sans-serif</TableCell>
          <TableCell align="right">700</TableCell>
          <TableCell>theme.typography.fontWeightBold</TableCell>
        </TableRow>
      </TableBody>
    </Table>
  </TableContainer>
</Paper>

### Font Sizes

<Paper>
  <TableContainer>
    <Table aria-label="Font sizes table">
      <TableHead>
        <TableRow>
          <TableCell>Preview</TableCell>
          <TableCell align="right">Rem</TableCell>
          <TableCell align="right">Pixel</TableCell>
          <TableCell align="right">Line Height</TableCell>
          <TableCell>Key</TableCell>
        </TableRow>
      </TableHead>
      <TableBody>
        <TableRow>
          <TableCell
            style={{
              fontSize: theme.typography.size.xs,
              lineHeight: "20.83px",
            }}
          >
            The quick brown fox jumps over the lazy dog
          </TableCell>
          <TableCell align="right">{theme.typography.size.xs}</TableCell>
          <TableCell align="right">12.25px</TableCell>
          <TableCell align="right">20.83px</TableCell>
          <TableCell>theme.typography.size.xs</TableCell>
        </TableRow>
        <TableRow>
          <TableCell
            style={{ fontSize: theme.typography.size.s, lineHeight: "22.54px" }}
          >
            The quick brown fox jumps over the lazy dog
          </TableCell>
          <TableCell align="right">{theme.typography.size.s}</TableCell>
          <TableCell align="right">13.29px</TableCell>
          <TableCell align="right">22.54px</TableCell>
          <TableCell>theme.typography.size.s</TableCell>
        </TableRow>
        <TableRow>
          <TableCell
            style={{ fontSize: theme.typography.size.m, lineHeight: "23.8px" }}
          >
            The quick brown fox jumps over the lazy dog
          </TableCell>
          <TableCell align="right">{theme.typography.size.m}</TableCell>
          <TableCell align="right">14px</TableCell>
          <TableCell align="right">23.8px</TableCell>
          <TableCell>theme.typography.size.m</TableCell>
        </TableRow>
        <TableRow>
          <TableCell
            style={{ fontSize: theme.typography.size.l, lineHeight: "30.94px" }}
          >
            The quick brown fox jumps over the lazy dog
          </TableCell>
          <TableCell align="right">{theme.typography.size.l}</TableCell>
          <TableCell align="right">18.2px</TableCell>
          <TableCell align="right">30.94px</TableCell>
          <TableCell>theme.typography.size.l</TableCell>
        </TableRow>
        <TableRow>
          <TableCell
            style={{ fontSize: theme.typography.size.xl, lineHeight: "35.7px" }}
          >
            The quick brown fox jumps over the lazy dog
          </TableCell>
          <TableCell align="right">{theme.typography.size.xl}</TableCell>
          <TableCell align="right">21px</TableCell>
          <TableCell align="right">35.7px</TableCell>
          <TableCell>theme.typography.size.xl</TableCell>
        </TableRow>
        <TableRow>
          <TableCell
            style={{
              fontSize: theme.typography.size.xxl,
              lineHeight: "48.96px",
            }}
          >
            The quick brown fox jumps over the lazy dog
          </TableCell>
          <TableCell align="right">{theme.typography.size.xxl}</TableCell>
          <TableCell align="right">28.8px</TableCell>
          <TableCell align="right">48.96px</TableCell>
          <TableCell>theme.typography.size.xxl</TableCell>
        </TableRow>
      </TableBody>
    </Table>
  </TableContainer>
</Paper>
